> For the complete documentation index, see [llms.txt](https://aliniex.gitbook.io/alix-pay/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://aliniex.gitbook.io/alix-pay/api-reference/on-off-ramp-api/authenication/refresh-token.md).

# Refresh Token

## API end-point

<mark style="color:green;">`POST`</mark> `/api/v2/user-order/refresh-token`

This API allows you to refresh the access token has expired

**Headers**

| Name         | Value                                                                                    |    |               |
| ------------ | ---------------------------------------------------------------------------------------- | -- | ------------- |
| Content-Type | `application/json`                                                                       |    |               |
| lang         | <p>The default will en if this param has been empty. </p><p>Supported languages:<code>en | cn | vi</code></p> |

**Request Body**

```json
{
  "partnerCode": "string",
  "refreshToken": "string",
  "signature": "string"
}
```

<table><thead><tr><th width="165">Name</th><th width="100">Type</th><th width="109">Condition</th><th>Description</th></tr></thead><tbody><tr><td><code>partnerCode</code></td><td>string</td><td>Required</td><td>The code of partner has been provided to you during onboarding.</td></tr><tr><td>refreshToken</td><td>string</td><td>Required</td><td>refresh token </td></tr><tr><td><code>signature</code></td><td>string</td><td>Required</td><td><ul><li>Partner will digitally sign the transmitted data using <strong><code>SHA256</code></strong> with RSA algorithm</li><li>The <strong>public key</strong> that has been provided to you during onboarding.</li><li>Data shall be signed according to the structure <strong><code>partnerCode|email|secretKey</code></strong></li></ul></td></tr></tbody></table>

**Response**

{% tabs %}
{% tab title="200" %}

```json
{
  "accessToken": "string",
  "refreshToken": "string",
  "signature": "string"
}
```

{% endtab %}

{% tab title="400" %}

```json
{
  "error": "Invalid request"
}
```

{% endtab %}
{% endtabs %}

{% hint style="info" %}
**Signature**&#x20;

* Partner will digitally sign the transmitted data using **`SHA256`** with RSA algorithm
* The **private key** that has been of yours
* Data shall be signed according to the structure **`secretKey`**
  {% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://aliniex.gitbook.io/alix-pay/api-reference/on-off-ramp-api/authenication/refresh-token.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
